package org.gyk.modules.sssj.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

public class YasuojiSj implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;
    private String stationName;//站场
    private String departName;//区
    private String ysjxh; //压缩机型号
    private String jizuHao;//机组号
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private LocalDateTime rq;
    private String gykbz;
    private String canshu;
    private String shuju;//

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getDepartName() {
        return departName;
    }

    public void setDepartName(String departName) {
        this.departName = departName;
    }

    public String getYsjxh() {
        return ysjxh;
    }

    public void setYsjxh(String ysjxh) {
        this.ysjxh = ysjxh;
    }

    public String getJizuHao() {
        return jizuHao;
    }

    public void setJizuHao(String jizuHao) {
        this.jizuHao = jizuHao;
    }

    public LocalDateTime getRq() {
        return rq;
    }

    public void setRq(LocalDateTime rq) {
        this.rq = rq;
    }

    public String getShuju() {
        return shuju;
    }

    public void setShuju(String shuju) {
        this.shuju = shuju;
    }

    public String getGykbz() {
        return gykbz;
    }

    public void setGykbz(String gykbz) {
        this.gykbz = gykbz;
    }

    public String getCanshu() {
        return canshu;
    }

    public void setCanshu(String canshu) {
        this.canshu = canshu;
    }
}
